summaryrefslogtreecommitdiffstats
path: root/system/ttf-babelstone-cjk
diff options
context:
space:
mode:
Diffstat (limited to 'system/ttf-babelstone-cjk')
-rw-r--r--system/ttf-babelstone-cjk/README10
-rw-r--r--system/ttf-babelstone-cjk/doinst.sh13
-rw-r--r--system/ttf-babelstone-cjk/slack-desc19
-rw-r--r--system/ttf-babelstone-cjk/ttf-babelstone-cjk.SlackBuild76
-rw-r--r--system/ttf-babelstone-cjk/ttf-babelstone-cjk.info10
5 files changed, 128 insertions, 0 deletions
diff --git a/system/ttf-babelstone-cjk/README b/system/ttf-babelstone-cjk/README
new file mode 100644
index 0000000000..8bab1bdd99
--- /dev/null
+++ b/system/ttf-babelstone-cjk/README
@@ -0,0 +1,10 @@
+Babelstone fonts is created by Andrew West. This package
+contains the chinese fonts along with regional variants.
+It covers Han,Jurchen,Khitan,Tangut,Sui,Naxi Dongba and Yi
+scripts.It also covers Hanzi,Kanji and Hanja.
+
+In this release I have moved fonts for scripts that are
+no longer used today apart from academia.
+
+To install archaic fonts run the slackbuild as
+archaic=yes ./ttf-babelstone-cjk.SlackBuild
diff --git a/system/ttf-babelstone-cjk/doinst.sh b/system/ttf-babelstone-cjk/doinst.sh
new file mode 100644
index 0000000000..5941fa3c7d
--- /dev/null
+++ b/system/ttf-babelstone-cjk/doinst.sh
@@ -0,0 +1,13 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-babelstone-cjk/slack-desc b/system/ttf-babelstone-cjk/slack-desc
new file mode 100644
index 0000000000..1bcd514ce3
--- /dev/null
+++ b/system/ttf-babelstone-cjk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-babelstone-cjk: ttf-babelstone-cjk (BabelStone CJK Fonts)
+ttf-babelstone-cjk:
+ttf-babelstone-cjk: Babelstone fonts is created by Andrew West. This package
+ttf-babelstone-cjk: contains the chinese fonts along with regional variants.
+ttf-babelstone-cjk: It covers Han,Jurchen,Khitan,Tangut,Sui,Naxi Dongba and Yi
+ttf-babelstone-cjk: scripts.It also covers Hanzi,Kanji and Hanja.
+ttf-babelstone-cjk:
+ttf-babelstone-cjk: Homepage:https://www.babelstone.co.uk
+ttf-babelstone-cjk:
+ttf-babelstone-cjk:
+ttf-babelstone-cjk:
diff --git a/system/ttf-babelstone-cjk/ttf-babelstone-cjk.SlackBuild b/system/ttf-babelstone-cjk/ttf-babelstone-cjk.SlackBuild
new file mode 100644
index 0000000000..27047ef064
--- /dev/null
+++ b/system/ttf-babelstone-cjk/ttf-babelstone-cjk.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for ttf-babelstone-cjk
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ttf-babelstone-cjk
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -pv $PKG/usr/share/fonts/TTF
+find $TMP/$PRGNAM-$VERSION/ttf/ -name '*.ttf' -type f -exec install -D -m0644 -v {} -t $PKG/usr/share/fonts/TTF \;
+
+if [ "$archaic" = "yes" ]; then
+ find $TMP/$PRGNAM-$VERSION/archaic/ -name '*.ttf' -type f -exec install -D -m0644 -v {} -t $PKG/usr/share/fonts/TTF \;
+fi
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+cp -av APL.txt COPYRIGHT IDS.TXT LICENSE OFL.txt readme_fonts $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/ttf-babelstone-cjk/ttf-babelstone-cjk.info b/system/ttf-babelstone-cjk/ttf-babelstone-cjk.info
new file mode 100644
index 0000000000..59472f863c
--- /dev/null
+++ b/system/ttf-babelstone-cjk/ttf-babelstone-cjk.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-babelstone-cjk"
+VERSION="1.1"
+HOMEPAGE="https://www.babelstone.co.uk"
+DOWNLOAD="https://github.com/lecramyajiv/ttf-babelstone-cjk/archive/1.1/ttf-babelstone-cjk-1.1.tar.gz"
+MD5SUM="866582125ee408025fec30955da86a34"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"